# encoding: utf-8

class WritingPatentCategory
  include Mongoid::Document
  include Mongoid::Timestamps
  include OrbitCoreLib::ObjectAuthable
  include OrbitCoreLib::ObjectDisable
  # include Mongoid::MultiParameterAttributes
  AfterObjectAuthUrl = '/panel/personal_patent/back_end/writing_patent_categorys'
  APP_NAME = 'writing_patent'
  # ObjectAuthTitlesOptions = %W{edit}
  ObjectAuthTitlesOptions = %W{submit_new fact_check}

  field :key
  
  field :title, localize: true
  
  has_many :writing_patents
  
  def pp_object
    title
  end
  
end